import java.io.*;
import java.util.*;
public class main {
    public static void main (String[] args) throws Exception
    {
        Scanner in = new Scanner (new File("ratio.in"));
        int a=in.nextInt();
        int b=in.nextInt();
        double c;
        PrintWriter out = new PrintWriter ("ratio.out");
        if(b!=0)
        {
            c=a/b;
        out.format("%.6f",c);
        }
            if(b==0)
        out.println("V predyduschej zadache uzhe pisali, chto na nol' delit' nel'zya!!!");
        out.close();
        in.close();
    }
}
